IF OBJECT_ID('tempdb..#My_temp') IS NOT NULL
DROP TABLE #My_temp;
CREATE TABLE #My_temp
(
id_temp INT IDENTITY NOT NULL PRIMARY KEY,
temp_data CHAR(50) NOT NULL
)
INSERT INTO #My_temp(temp_data)
VALUES('Cabbage')
SELECT *
FROM #My_temp

TRUNCATE TABLE #My_temp

INSERT INTO #My_temp(temp_data)
VALUES('Cabbage')

SELECT *
FROM #My_temp